Bug 1309569 - [RFE] Composite Content View Web UI: show if "Latest" view is in use or if new version of content view available
Summary: [RFE] Composite Content View Web UI: show if "Latest" view is in use or if ne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.1.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Christine Fouant
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 07:25 UTC by Kamudini Gazdikova
Modified: 2021-03-11 14:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:33:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
composite view displays a newer version available (85.47 KB, image/png)
2017-08-16 21:11 UTC, Christine Fouant
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16503 0 Normal Closed Composite Content View Web UI: provide indication if a newer component version is available 2020-09-29 16:55:15 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 4 Brad Buckingham 2016-09-09 20:17:07 UTC
Created redmine issue http://projects.theforeman.org/issues/16503 from this bug

Comment 6 Brad Buckingham 2016-09-12 10:07:33 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6310

Comment 8 Christine Fouant 2017-08-16 21:10:47 UTC
Verified.
Version Tested: Satellite-6.3 Snap 11

Composite content views now show if there are newer versions available of the content views that comprise the composite.

I performed the following steps to verify this issue:

1. Created 2 content views and published them,

2. Created 1 composite content view comprised of the other two.

3. Set one to 'latest' and the other to the latest version. and published the composite view.

4. published new versions of the original content views

5. looked on the composite view's content view list. The "latest" was already at the newest version, and the other listed that a newer version was available, and listed newest version.

Screenshot attached.

Comment 9 Christine Fouant 2017-08-16 21:11:41 UTC
Created attachment 1314406 [details]
composite view displays a newer version available

Comment 12 errata-xmlrpc 2018-02-21 12:33:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.